# Borland C++ for OS/2 1.0 MAKEFILE for STERM.EXE

.AUTODEPEND

CC = bcc +STERM.CFG
TASM = tasm.exe
TLIB = tlib.exe
LINKER = link386.exe
RC = brcc.exe
RB = rc.exe
LIBPATH = E:\BCOS2\LIB
INCLUDEPATH = E:\BCOS2\INCLUDE;E:\BCOS2\H;

.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

.asm.obj:
  $(TASM) -Mx $*.asm,$*.obj

.rc.res:
  $(RC) -r $*.rc

EXE_DEPENDENCIES =  \
 str.obj \
 dosmem.obj \
 file_io.obj \
 sterm.obj

sterm.exe: sterm.cfg $(EXE_DEPENDENCIES)
  $(LINKER) /BASE:0x10000 /F /E /NON /PACKD /PACKC /PM:VIO /RUNFROMVDM @&&|
E:\BCOS2\LIB\C02.OBJ+
str.obj+
dosmem.obj+
file_io.obj+
sterm.obj
sterm
        # no map file
E:\BCOS2\LIB\C2MT.LIB+
E:\BCOS2\LIB\OS2.LIB
sterm.def
|

str.obj: sterm.cfg str.c

dosmem.obj: sterm.cfg dosmem.c

file_io.obj: sterm.cfg file_io.c

sterm.obj: sterm.cfg sterm.c

sterm.cfg: sterm.mak
  copy &&|
-Oi
-Oz
-Ob
-Oe
-Oc
-L$(LIBPATH)
-I$(INCLUDEPATH)
-vi-
-sm
-k-
-O
-Ot
| sterm.cfg


